[package]
edition = "2021"
name = "ableos"
version = "0.1.1"
# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[profile.release]
panic = "abort"

[package.metadata.bootimage]
run-args = [
    "--nodefaults",
    "-cpu",
    "Broadwell-v3",

    "-serial",
    "stdio",
    "-smp",
    "cores=2",

    "-device", #"ati-vga",
    "cirrus-vga",
    
    # "-device",
    # "virtio-blk-pci,drive=drive0,id=virtblk0,num-queues=4",
    # A simple example of a boot image
    # "-drive",
    # "file=disk.qcow2,if=none,id=drive0",

    # "-device",
    # "virtio-rng",

    "-qmp",
    "unix:../qmp-sock,server,nowait"

]

test-args = [
    "-device",
    "isa-debug-exit,iobase=0xf4,iosize=0x04",
    "-serial",
    "stdio",
]

[dependencies]
linked_list_allocator = "0.9.0"
lliw = "0.2.0"
spin = "0.9"
log = "*"
pretty-hex = "0.2.1"
unicode-width = "0.1.7"
picorand = "0.1.0"
watson = "0.4"
genfs = "0.1.0"
rhai = "1.6.0"
libwasm = {git="https://git.ablecorp.us:443/able/libwasm.git"}
acpi = "4.1.0"
axel = { git = "https://git.ablecorp.us/able/aos_userland" }

[dependencies.logos]
version = "0.12"
default-features = false
features = ["export_derive"]

[dependencies.rdrand]
version = "0.8"
default-features = false

[dependencies.kernel]
path = "../kernel"

[dependencies.serde]
version = "1.0"
default-features = false
features = ["derive", "alloc"]

[dependencies.hashbrown]
version = "0.7"
default-features = false
features = ["inline-more"]

[dependencies.rkyv]
version = "0.7"
default-features = false
features = ["size_64", "alloc"]

# [dependencies.smoltcp]
# version = "0.8.0"
# default-features = false
# features = ["log", "proto-ipv4"]

[dependencies.y-compositor-protocol]
git = "https://git.ablecorp.us:443/able/y-compositor-protocol.git"

[dependencies.ext2]
git = "https://git.ablecorp.us:443/able/ext2-rs.git"

[dependencies.toml]
git = "https://github.com/diondokter/toml-rs"
# version = "0.5.8"
default-features = false

[dependencies.shadeable]
path = "../shadeable"

[dependencies.facepalm]
path = "../facepalm"

[dependencies.ab_glyph]
version = "*"
default-features = false
features = ["libm"]

[dependencies.wasmi]
default-features = false
features = ["core"]
version = "*"

[dependencies.externc-libm]
git = "https://git.ablecorp.us:443/able/externc-libm.git"



[target.'cfg(target_arch = "riscv")'.dependencies]
riscv="*"

[target.'cfg(target_arch = "x86_64")'.dependencies]
bootloader = { version = "0.9.8", features = ["map_physical_memory"] }
cpuio = { git = "https://git.ablecorp.us/ondra05/cpuio.git" }
pic8259 = "0.10.1"
uart_16550 = "0.2.0"
volatile = "0.2.6"
x86_64 = "*"
pc-beeper = {git = "https://github.com/AbleOS/pc-beeper"}
vga = "*" 
